<?php
/*****************************************************************************\
+-----------------------------------------------------------------------------+
| X-Cart                                                                      |
| Copyright (c) 2001-2010 Ruslan R. Fazlyev <rrf@x-cart.com>                  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ  THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" |
| FILE PROVIDED WITH THIS DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE  |
| AT THE FOLLOWING URL: http://www.x-cart.com/license.php                     |
|                                                                             |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| THIS SOFTWARE   PROGRAM   AND  ASSOCIATED  DOCUMENTATION   THAT  RUSLAN  R. |
| FAZLYEV (hereinafter  referred to as "THE AUTHOR") IS FURNISHING  OR MAKING |
| AVAILABLE TO YOU WITH  THIS  AGREEMENT  (COLLECTIVELY,  THE  "SOFTWARE").   |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Ruslan R. Fazlyev             |
| Portions created by Ruslan R. Fazlyev are Copyright (C) 2001-2010           |
| Ruslan R. Fazlyev. All Rights Reserved.                                     |
+-----------------------------------------------------------------------------+
\*****************************************************************************/

#
# $Id: get_export.php,v 1.10.2.4 2010/01/21 09:20:33 ferz Exp $
#

if ( !defined('XCART_SESSION_START') ) { header("Location: ../"); die("Access denied"); }

$md5_login = md5($login);

if (!is_string($file) || !preg_match('/export_(\d{8})_(\d{6})(?:_([a-zA-Z]{2}))?_([a-f0-9]{32})\.csv/iSs', $file, $found) || ($md5_login != $found[4] && !(!empty($active_modules["Simple_Mode"]) || $user_account["usertype"] == "A"))) {
	func_header_location($prefix . "error_message.php?access_denied");
}

$filename = $var_dirs["tmp"] . DIRECTORY_SEPARATOR . $found[0] . ".php";

if (!file_exists($filename) || !is_readable($filename) || func_filesize($filename) == 0) {
	func_header_location($prefix . "error_message.php?access_denied");
}

$fn = 'export_' . $found[1] . '_' . $found[2];
if (!empty($found[3])) {
	$fn .= '_' . $found[3];
	$shop_language = $found[3];
	$charset = func_query_first ("SELECT charset FROM $sql_tbl[language_codes] WHERE code = '" . $found[3] . "'");
	if ($charset)
		$default_charset = $charset;
}
$fn .= '.csv';

header('Content-Type: text/csv; name="' . $fn . '"; charset=' . $default_charset);
header("Content-Language: " . $shop_language);
header("Content-Disposition: attachment; filename=" . $fn);
header('Content-Length: ' . (func_filesize($filename) - strlen(X_LOG_SIGNATURE)));

$fp = @fopen($filename, "rb");
if ($fp !== false) {
	fseek($fp, strlen(X_LOG_SIGNATURE), SEEK_SET);
	fpassthru($fp);
	fclose($fp);
}

?>
