<?php
/*****************************************************************************\
+-----------------------------------------------------------------------------+
| X-Cart                                                                      |
| Copyright (c) 2001-2010 Ruslan R. Fazlyev <rrf@x-cart.com>                  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ  THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" |
| FILE PROVIDED WITH THIS DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE  |
| AT THE FOLLOWING URL: http://www.x-cart.com/license.php                     |
|                                                                             |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| THIS SOFTWARE   PROGRAM   AND  ASSOCIATED  DOCUMENTATION   THAT  RUSLAN  R. |
| FAZLYEV (hereinafter  referred to as "THE AUTHOR") IS FURNISHING  OR MAKING |
| AVAILABLE TO YOU WITH  THIS  AGREEMENT  (COLLECTIVELY,  THE  "SOFTWARE").   |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Ruslan R. Fazlyev             |
| Portions created by Ruslan R. Fazlyev are Copyright (C) 2001-2010           |
| Ruslan R. Fazlyev. All Rights Reserved.                                     |
+-----------------------------------------------------------------------------+
\*****************************************************************************/

#
# $Id: func.cc_authorizenet.php,v 1.5.2.3 2010/01/21 09:20:35 ferz Exp $
#

if ( !defined('XCART_START') ) { header("Location: ../"); die("Access denied"); }

#
# Do Authorizenet:AIM transactions
#
function func_cc_authorizenet_do($order, $transaction_type) {
	global $xcart_dir;

	$module_params = func_get_pm_params('cc_authorizenet.php');
	$transaction_id = $order["order"]["extra"]["authorizenet_txnid"];
	$last_4_cc_num = $order["order"]["extra"]["last_4_cc_num"];
	$amount = $order["order"]['total'];

	require $xcart_dir."/payment/cc_authorizenet.php";

	$status = $bill_output['code'] == 1;
	$err_msg = (!$status) ? $bill_output['billmes'] : '';
	$extra = array(
		"name" => "authorizenet_txnid",
		"value" => $transaction_id
	);

	return array($status, $err_msg, $extra);
}

#
# Do Authorizenet:AIM Capture transaction
#
function func_cc_authorizenet_do_capture($order) {
	return func_cc_authorizenet_do($order, "X");
}

#
# Do Authorizenet:AIM Void transaction
#
function func_cc_authorizenet_do_void($order) {
	return func_cc_authorizenet_do($order, "V");
}

#
# Do Authorizenet:AIM Refund transaction
#
function func_cc_authorizenet_do_refund($order) {
	return func_cc_authorizenet_do($order, "R");
}

?>
