{*
$Id: catalog_request.tpl, v 1.0.0 2010/12/08 13:51:30 koronit Exp $
vim: set ts=2 sw=2 sts=2 et:
*}

<h1>{$lng.lbl_catalog_request}</h1>

<script type="text/javascript">
//<![CDATA[
var requiredFields = [
{foreach from=$catalog_request_fields item=v key=k name=catalog_request_fields}
{if $v.required eq 'Y' && $v.avail eq 'Y'}
  ["{$k}","{$v.title|strip|wm_remove|escape:javascript}", false],

{/if}
{/foreach}
];

{literal}
//Remove odd data
$(function (){
  $('form[name="registerform"] select[name="b_state"]').bind('change', function (){
    $('form[name="registerform"] select[name="b_state"] option[value=""]').remove();
  }); 

  $('form[name="registerform"] select[name="how_did_you_find_us"]').bind('change', function (){
    $('form[name="registerform"] select[name="how_did_you_find_us"] option[value=""]').remove();
  }); 

  if ($('form[name="registerform"] select[name="b_state"] option[selected=selected]').attr('value') != undefined) {
    $('form[name="registerform"] select[name="b_state"] option[value=""]').remove();
  }  

  if ($('form[name="registerform"] select[name="how_did_you_find_us"] option[selected=selected]').attr('value') != undefined) {
    $('form[name="registerform"] select[name="how_did_you_find_us"] option[value=""]').remove();
  }  

}); 

function checkSelectBox(selectBoxId, requiredFields) {
  var returnValue = true;
  var selectBox = document.getElementById(selectBoxId);
  var selectBoxIndex = 0;
  for (var i = 0; i < requiredFields.length; ++i) {
    if (selectBoxId == requiredFields[i][0]) {
      var selectBoxIndex = i;
    }
  } 
  if ('' == selectBox.value) {
    selectBox.focus();
    alert(lbl_required_field_is_empty ? substitute(lbl_required_field_is_empty, 'field', requiredFields[selectBoxIndex][1]) : requiredFields[selectBoxIndex][1]);
    returnValue = false;
  }
  return returnValue;
}
{/literal}
//]]>
</script>
{include file="check_required_fields_js.tpl"}
{include file="check_email_script.tpl"}
{include file="check_zipcode_js.tpl"}

{if $smarty.get.mode eq "update" || $smarty.get.mode eq ""}
  <p class="text-block">{$lng.txt_catalog_request_header}</p>
{/if}

{capture name=dialog}

  {if $smarty.get.mode eq "requested"}

    {$lng.txt_catalog_request_requested}

  {elseif $smarty.get.mode eq "update" || $smarty.get.mode eq ""}

    <form action="catalog_request.php?mode=update" method="post" name="registerform" onsubmit="javascript: return checkEmailAddress(this.email) &amp;&amp; checkRequired(requiredFields) &amp;&amp; check_zip_code('US', document.getElementById('b_zipcode')){if $catalog_request_fields.b_state.required eq 'Y'} &amp;&amp; checkSelectBox('b_state', requiredFields){/if}{if $catalog_request_fields.how_did_you_find_us.required eq 'Y'} &amp;&amp; checkSelectBox('how_did_you_find_us', requiredFields){/if};">

      <table cellspacing="0" class="data-table" summary="{$lng.lbl_catalog_request|escape}">

        {if $catalog_request_fields.name.avail eq 'Y'}
          <tr>
            <td class="data-name">{$catalog_request_fields.name.title}</td>
            <td class="data-required">{if $catalog_request_fields.name.required eq 'Y'}*{/if}</td>
            <td>
              <input type="text" id="{$catalog_request_fields.name.name}" name="{$catalog_request_fields.name.name}" size="40" maxlength="40" value="{$userinfo.name|escape}" />
              {if $fillerror ne "" and $userinfo.name eq "" and $catalog_request_fields.name.required eq 'Y'}
                <span class="error-message">&lt;&lt;</span>
              {/if}
            </td>
          </tr>
        {/if}

        {if $catalog_request_fields.b_address.avail eq 'Y'}
          <tr>
            <td class="data-name">{$catalog_request_fields.b_address.title}</td>
            <td class="data-required">{if $catalog_request_fields.b_address.required eq 'Y'}*{/if}</td>
            <td>
              <input type="text" id="{$catalog_request_fields.b_address.name}" name="{$catalog_request_fields.b_address.name}" size="32" maxlength="64" value="{$userinfo.b_address|escape}" />
              {if $fillerror ne "" and $userinfo.b_address eq "" and $catalog_request_fields.b_address.required eq 'Y'}
                <span class="error-message">&lt;&lt;</span>
              {/if}
            </td>
          </tr>
        {/if}

        {if $catalog_request_fields.po_box.avail eq 'Y'}
          <tr>
            <td class="data-name">{$catalog_request_fields.po_box.title}</td>
            <td class="data-required">{if $catalog_request_fields.po_box.required eq 'Y'}*{/if}</td>
            <td>
              <input type="text" id="{$catalog_request_fields.po_box.name}" name="{$catalog_request_fields.po_box.name}" size="32" maxlength="64" value="{$userinfo.po_box|escape}" />
              {if $fillerror ne "" and $userinfo.po_box eq "" and $catalog_request_fields.po_box.required eq 'Y'}
                <span class="error-message">&lt;&lt;</span>
              {/if}
            </td>
          </tr>
        {/if}

        {if $catalog_request_fields.b_city.avail eq 'Y'}
          <tr>
            <td class="data-name">{$catalog_request_fields.b_city.title}</td>
            <td class="data-required">{if $catalog_request_fields.b_city.required eq 'Y'}*{/if}</td>
            <td>
              <input type="text" id="{$catalog_request_fields.b_city.name}" name="{$catalog_request_fields.b_city.name}" size="32" maxlength="64" value="{$userinfo.b_city|escape}" />
              {if $fillerror ne "" and $userinfo.b_city eq "" and $catalog_request_fields.b_city.required eq 'Y'}
                <span class="error-message">&lt;&lt;</span>
              {/if}
            </td>
          </tr>
        {/if}

        {if $catalog_request_fields.b_state.avail eq 'Y'}
          <tr>
            <td class="data-name">{$catalog_request_fields.b_state.title}</td>
            <td class="data-required">{if $catalog_request_fields.b_state.required eq 'Y'}*{/if}</td>
            <td>
              {include file="main/states.tpl" states=$states name=$catalog_request_fields.b_state.name default=$userinfo.b_state|default:$config.General.default_state default_country="US" country_name="US" replace_other=$lng.lbl_choose_state}
              {if $fillerror ne "" and $userinfo.b_state eq "" and $catalog_request_fields.b_state.required eq 'Y'}
                <span class="error-message">&lt;&lt;</span>
              {/if}
            </td>
          </tr>
        {/if}
 
        {if $catalog_request_fields.b_zipcode.avail eq 'Y'}
          <tr>
            <td class="data-name">{$catalog_request_fields.b_zipcode.title}</td>
            <td class="data-required">{if $catalog_request_fields.b_zipcode.required eq 'Y'}*{/if}</td>
            <td>
              <input type="text" id="{$catalog_request_fields.b_zipcode.name}" name="{$catalog_request_fields.b_zipcode.name}" size="32" maxlength="32" value="{$userinfo.b_zipcode|escape}" onchange="javascript: check_zip_code('US', this);" />
              {if $catalog_request_fields.b_zipcode.required ne 'Y'}
                <br /><span class="small-note">{$lng.txt_zipcode_fill_or_empty}</span>
              {elseif $fillerror ne "" and $userinfo.b_zipcode eq ""}
                <span class="error-message">&lt;&lt;</span>
              {/if}
            </td>
          </tr>
        {/if}

        {if $catalog_request_fields.email.avail eq 'Y'}
          <tr>
            <td class="data-name">{$catalog_request_fields.email.title}</td>
            <td class="data-required">{if $catalog_request_fields.email.required eq 'Y'}*{/if}</td>
            <td>
              <input type="text" id="{$catalog_request_fields.email.name}" name="{$catalog_request_fields.email.name}" size="32" maxlength="128" value="{$userinfo.email|escape}" onchange="javascript: checkEmailAddress(this);" />
              {if $catalog_request_fields.email.required ne 'Y'}
                <br /><span class="small-note">{$lng.txt_email_fill_or_empty}</span>
              {elseif $fillerror ne "" and $userinfo.firstname eq ""}
                <span class="error-message">&lt;&lt;</span>
              {/if}
            </td>
          </tr>
        {/if}

        {if $catalog_request_fields.how_did_you_find_us.avail eq 'Y'}
          <tr>
            <td class="data-name">{$catalog_request_fields.how_did_you_find_us.title}</td>
            <td class="data-required">{if $catalog_request_fields.how_did_you_find_us.required eq 'Y'}*{/if}</td>
            <td>
              <select id="{$catalog_request_fields.how_did_you_find_us.name}" name="{$catalog_request_fields.how_did_you_find_us.name}">
                {if !in_array($userinfo.how_did_you_find_us, $how_did_you_find_us_array)}
                  <option value="">{$lng.lbl_please_select_one}</option>
                {/if}
                {foreach from=$how_did_you_find_us_array item=v}
                  <option value='{$v[0]|escape}'{if $userinfo.how_did_you_find_us eq $v} selected="selected"{/if}>{$v[1]|escape}</option>
                {/foreach}
              </select>
              {if $fillerror ne "" and $userinfo.how_did_you_find_us eq "" and $catalog_request_fields.how_did_you_find_us.required eq 'Y'}
                <span class="error-message">&lt;&lt;</span>
              {/if}
            </td>
          </tr>
        {/if}

        {if $active_modules.Image_Verification && $show_antibot.on_catalog_req eq 'Y'}
          {include file="modules/Image_Verification/spambot_arrest.tpl" mode="data-table" id=$antibot_sections.on_catalog_req antibot_err=$antibot_catalog_req_err}
        {/if}

        <tr>
          <td colspan="2">&nbsp;</td>
          <td class="button-row">
            {include file="customer/buttons/submit.tpl" type="input" additional_button_class="main-button"}
          </td>
        </tr>

      </table>

    </form>

  {/if}

{/capture}
{include file="customer/dialog.tpl" title=$lng.lbl_contact_us content=$smarty.capture.dialog noborder=true}
