<?php
/*****************************************************************************\
+-----------------------------------------------------------------------------+
| X-Cart                                                                      |
| Copyright (c) 2001-2010 Ruslan R. Fazlyev <rrf@x-cart.com>                  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ  THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" |
| FILE PROVIDED WITH THIS DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE  |
| AT THE FOLLOWING URL: http://www.x-cart.com/license.php                     |
|                                                                             |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| THIS SOFTWARE   PROGRAM   AND  ASSOCIATED  DOCUMENTATION   THAT  RUSLAN  R. |
| FAZLYEV (hereinafter  referred to as "THE AUTHOR") IS FURNISHING  OR MAKING |
| AVAILABLE TO YOU WITH  THIS  AGREEMENT  (COLLECTIVELY,  THE  "SOFTWARE").   |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Ruslan R. Fazlyev             |
| Portions created by Ruslan R. Fazlyev are Copyright (C) 2001-2010           |
| Ruslan R. Fazlyev. All Rights Reserved.                                     |
+-----------------------------------------------------------------------------+
\*****************************************************************************/

#
# $Id: install-xoffers.php,v 1.22.2.3 2010/01/21 09:20:27 ferz Exp $
#

define('XCART_INSTALL',1);
define('COMPATIBLE_VERSION','4.3.0');

$module_definition = array (
	"name" => "X-SpecialOffers",
	"script" => "install-xoffers.php",
	"prefix" => "x-offers",
	"skin_files" => array (
		"modules/Special_Offers",
		"images/offer_thumb.gif",
		"mail/html/special_offers_order_bonuses.tpl",
		"mail/special_offers_order_bonuses.tpl",
	),
	"successmessage" => "func_success",
	"is_installed" => "func_is_installed"
);

if (!@include("./top.inc.php"))
	die("X-Cart not found in ".dirname(__FILE__));
if (!file_exists("skin1"))
	die("You should install X-Cart first");
if (!@include("./init.php"))
	die("init.php not found. Please, unpack ".$module_definition["name"]." module in &lt;xcart&gt; directory");

function func_success() {
	global $xcart_package;
	global $module_definition, $xcart_web_dir;
?>
<ol>
<li><u>
<?php if ($xcart_package=="PRO") { ?>
<a href="<?php echo $xcart_web_dir.DIR_ADMIN; ?>/home.php"><b><?php echo_lng("admin_area"); ?></b></a>
<?php } else { ?>
<a href="<?php echo $xcart_web_dir.DIR_PROVIDER; ?>/home.php"><b><?php echo_lng("admin_area"); ?></b></a>
<?php } ?>
</u><br />
<?php echo_lng("modules_admin_note"); ?><br />
</li>
</ol>
<?php
}

function func_is_installed() {
	global $sql_tbl;

	return func_query_first_cell("SELECT COUNT(*) FROM $sql_tbl[modules] WHERE module_name='Special_Offers'") > 0;
}

include $xcart_dir."/include/install.php";

?>
