<?php
/*****************************************************************************\
+-----------------------------------------------------------------------------+
| X-Cart                                                                      |
| Copyright (c) 2001-2010 Ruslan R. Fazlyev <rrf@x-cart.com>                  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ  THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" |
| FILE PROVIDED WITH THIS DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE  |
| AT THE FOLLOWING URL: http://www.x-cart.com/license.php                     |
|                                                                             |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| THIS SOFTWARE   PROGRAM   AND  ASSOCIATED  DOCUMENTATION   THAT  RUSLAN  R. |
| FAZLYEV (hereinafter  referred to as "THE AUTHOR") IS FURNISHING  OR MAKING |
| AVAILABLE TO YOU WITH  THIS  AGREEMENT  (COLLECTIVELY,  THE  "SOFTWARE").   |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Ruslan R. Fazlyev             |
| Portions created by Ruslan R. Fazlyev are Copyright (C) 2001-2010           |
| Ruslan R. Fazlyev. All Rights Reserved.                                     |
+-----------------------------------------------------------------------------+
\*****************************************************************************/

#
# $Id: discount_coupons.php,v 1.33.2.3 2010/01/21 09:20:38 ferz Exp $
#

if ( !defined('XCART_SESSION_START') ) { header("Location: ../../"); die("Access denied"); }

if (empty($cart)) return;

x_load('cart');

if (!empty($cart["discount_coupon"]) && func_is_valid_coupon($cart["discount_coupon"]) > 0) {
	$cart["discount_coupon"]="";
	$cart["coupon_type"] = "";
}

if ($mode=="add_coupon") {
#
# Check if coupon is valid
#
	if (empty($coupon))
		$coupon = '';

	$my_coupon = func_is_valid_coupon(stripslashes($coupon));

	# Bad coupon provider
	if ($my_coupon == 2) {
		$top_message['content'] = func_get_langvar_by_name("err_bad_coupon_provider_msg");

	# Coupon already used by this customer
	} elseif ($my_coupon == 5) {
		$top_message['content'] = func_get_langvar_by_name("txt_coupon_already_used_by_customer");

	# Overstepping of coupon order total
	} elseif ($my_coupon == 3) {
		$top_message['content'] = func_get_langvar_by_name("txt_overstepping_coupon_order_total");

	# Not found coupon target
	} elseif ($my_coupon == 4) {
		$top_message['content'] = func_get_langvar_by_name("txt_cart_not_contain_coupon_products");

    # Coupon is empty
    } elseif ($my_coupon == 7) {
        $top_message['content'] = func_get_langvar_by_name("lbl_dcoupon_code_is_empty");

	# Bad coupon or 'free_ship' coupon is applied while shipping is disabled
	} elseif ($my_coupon == 1 || $my_coupon == 6) {
		$top_message['content'] = func_get_langvar_by_name("err_bad_coupon_code_msg");

	# Add discount coupon
	} elseif($my_coupon == 0) {
		$cart["discount_coupon"] = stripslashes($coupon);
		$products = func_products_in_cart($cart, (!empty($user_account["membershipid"]) ? $user_account["membershipid"] : ""));
		$cart = func_array_merge($cart, func_calculate($cart, $products, $login, $current_area, 0));
		if ($cart["coupon_discount"] == 0) {
			$top_message['content'] = func_get_langvar_by_name("err_zero_coupon_discount_msg");
			$my_coupon = 1;
		}
	}
	if($my_coupon > 0) {
        $cart["discount_coupon"] = "";
		$cart["coupon_type"] = "";
		$top_message['type'] = 'E';
	}
	func_header_location("cart.php");
}
elseif ($mode=="unset_coupons") {
	$cart["discount_coupon"]="";
	$cart["coupon_type"] = "";
	func_header_location("cart.php");
}

?>
