<?php
/*****************************************************************************\
+-----------------------------------------------------------------------------+
| X-Cart                                                                      |
| Copyright (c) 2001-2010 Ruslan R. Fazlyev <rrf@x-cart.com>                  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ  THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" |
| FILE PROVIDED WITH THIS DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE  |
| AT THE FOLLOWING URL: http://www.x-cart.com/license.php                     |
|                                                                             |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| THIS SOFTWARE   PROGRAM   AND  ASSOCIATED  DOCUMENTATION   THAT  RUSLAN  R. |
| FAZLYEV (hereinafter  referred to as "THE AUTHOR") IS FURNISHING  OR MAKING |
| AVAILABLE TO YOU WITH  THIS  AGREEMENT  (COLLECTIVELY,  THE  "SOFTWARE").   |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Ruslan R. Fazlyev             |
| Portions created by Ruslan R. Fazlyev are Copyright (C) 2001-2010           |
| Ruslan R. Fazlyev. All Rights Reserved.                                     |
+-----------------------------------------------------------------------------+
\*****************************************************************************/

#
# $Id: fancy_categories.php,v 1.5.2.3 2010/01/21 09:20:39 ferz Exp $
#

if ( !defined('XCART_START') ) { header("Location: ../../"); die("Access denied"); }

# Build categories tree
$catexp_path = array();
if (!empty($cat) && $config['Flyout_Menus']['fancy_categories_skin'] == 'Icons' && $config['Flyout_Menus']['icons_mode'] == 'C') {
	$catexp_path = explode('/', func_query_first_cell("SELECT categoryid_path FROM $sql_tbl[categories] WHERE categoryid = '$cat'"));
	$smarty->assign("catexp", $cat);
}

$fancy_use_cache = func_fc_use_cache() && func_fc_has_cache();

if (!$fancy_use_cache) {
	list($all_categories, $categories) = func_fc_prepare_categories($all_categories, $categories, $catexp_path);
}

$smarty->assign("fancy_use_cache", $fancy_use_cache);

$css_files['Flyout_Menus'] = array(
	array('subpath' => $config["Flyout_Menus"]["fancy_categories_skin"]),
);
if (isset($config[$fancy_prefix."css_files"]) && !empty($config[$fancy_prefix."css_files"])) {
	$tmp = unserialize($config[$fancy_prefix."css_files"]);

	if (is_array($tmp)) {
		foreach ($tmp as $k => $v) {
			$css_files['Flyout_Menus'][] = array(
				'subpath' => $config["Flyout_Menus"]["fancy_categories_skin"],
				'suffix' => $k,
				'condition' => $v
			);
		}
	}
}

?>
