{*
$Id: auth.tpl,v 1.11.2.1 2010/01/11 10:40:06 aim Exp $
vim: set ts=2 sw=2 sts=2 et:
*}
{if $is_allow_auth eq "Y" or $config.Security.use_secure_login_page eq "Y"}
{capture name=menu}

  <form action="{$auth_form_url}/include/login.php" method="post" name="authform" class="item">
    <input type="hidden" name="{$XCARTSESSNAME}" value="{$XCARTSESSID}" />

    {if $config.Security.use_secure_login_page eq "Y"}

      <div class="login-buttons">
        {include file="customer/buttons/secure_login.tpl"}
        {include file="customer/buttons/create_profile_menu.tpl" additional_button_class="menu-button"}
      </div>

    {else}

      <input type="hidden" name="mode" value="login" />
      <input type="hidden" name="usertype" value="{$auth_usertype}" />
      <input type="hidden" name="redirect" value="{$redirect|amp}" />

      {$lng.lbl_username}<br />
      <input type="text" name="username" class="search-style" value="{#default_login#|default:$username}" /><br />

      {$lng.lbl_password}<br />
      <input type="password" name="password" class="search-style" maxlength="64" value="{#default_password#}" />

      {if $active_modules.Image_Verification and $show_antibot.on_login eq 'Y' && $login_antibot_on}
        {include file="modules/Image_Verification/spambot_arrest.tpl" mode="simple_column" id=$antibot_sections.on_login}
      {/if}

      <div class="login-buttons">
        {include file="customer/buttons/login_menu.tpl" additional_button_class="menu-button"}
        {include file="customer/buttons/create_profile_menu.tpl" additional_button_class="menu-button"}
        <div class="clearing"></div>
      </div>

    {/if}

    <div class="recovery">
      <a href="help.php?section=Password_Recovery">{$lng.lbl_recover_password}</a>
    </div>

  </form>

{/capture}
{include file="customer/menu_dialog.tpl" title=$lng.lbl_authentication content=$smarty.capture.menu additional_class="menu-auth"}
{/if}
