{*
$Id: export_cat_req.tpl, v 1.0.0 2010/12/10 10:04:39 koronit Exp $
vim: set ts=2 sw=2 sts=2 et:
*}
{capture name=dialog}

{$lng.txt_export_cat_req_note}<br />
<br />

{include file="main/subheader.tpl" title=$lng.lbl_export_cat_req}

<form action="import.php" method="post" name="exportdata_form">
	<input type="hidden" name="mode" value="export_cat_req" />
	<input type="hidden" id="new" name="data[new]" value="Y" />

	<table cellpadding="3" cellspacing="1" width="100%">
		<tr>
			<td valign="top">
				<b>{$lng.lbl_csv_delimiter}:</b><br />
        {if isset($export_data.delimiter)}
				  {include file="provider/main/ie_delimiter.tpl" field_name="data[delimiter]" saved_delimiter=$export_data.delimiter}
        {else}
				  {include file="provider/main/ie_delimiter.tpl" field_name="data[delimiter]" saved_delimiter=','}
        {/if}
  			</td>
		</tr>

		<tr><td>&nbsp;</td></tr>

		<tr>
			<td valign="top">
				<b>{$lng.lbl_data_rows_per_file}:</b><br />
				<input type="text" name="data[rows_per_file]" value="{$export_data.rows_per_file|default:""}" /><br />
					{$lng.lbl_data_rows_per_file_expl}
  			</td>
		</tr>

		<tr>
  			<td>
  				<table cellpadding="1" cellspacing="1" width="100%">
  					<tr>
    					<td class="SubmitBox">
    						<input type="submit" value="{$lng.lbl_export_new|strip_tags:false|escape}" />
    					</td>
						<td class="SubmitBox" align="right">
    						<input type="button" value="{$lng.lbl_export_all|strip_tags:false|escape}" onclick="javascript: document.getElementById('new').value='N'; document.exportdata_form.submit();" />
    					</td>
  					</tr>
  				</table>
  			</td>
		</tr>

	</table>

</form>

{if $export_log_url}
<br />
<div align="right">{include file="buttons/button.tpl" href=$export_log_url button_title=$lng.lbl_view_export_cat_req_log}</div>
{/if}

{if $export_packs ne ''}
	<br />
	<a name="packs"></a>
	<div align="right">{include file="main/visiblebox_link.tpl" mark="epacks" title=$lng.lbl_view_exported_files visible=$smarty.get.status}</div>

	<br /><br />

	<form action="import.php" method="post" name="exportpacks_form">
		<input type="hidden" name="mode" value="export_cat_req" />
		<input type="hidden" id="exportpacks_action" name="action" value="" />

		<table cellpadding="0" cellspacing="0" width="100%" style="{if $smarty.get.status ne 'success'}display: none;{/if}" id="boxepacks">
			<tr>
				<td>
					{include file="main/subheader.tpl" title=$lng.lbl_export_packs}
					
					<script type="text/javascript">
					//<![CDATA[
						var ep_checkboxes = new Array({foreach from=$export_packs item=v key=k}'packs[{$k}]',{/foreach}'');
					//]]>
					</script>
          {include file="main/check_all_row.tpl" style="line-height: 170%;" form="exportpacks_form" prefix="packs"}

					<table cellpadding="2" cellspacing="1">
						<tr class="TableHead">
							<td width="15">&nbsp;</td>
							<td>{$lng.lbl_date}</td>
							<td>{$lng.lbl_files}</td>
						</tr>

						{foreach from=$export_packs item=pack key=kpack}
							<tr{cycle name="ep" values=" , class='TableSubHead'" advance=false}>
  								<td valign="top" rowspan="{$pack.count}" height="20">
									<input type="checkbox" name="packs[{$kpack}]" value="{$kpack|escape}" />
								</td>
  								<td valign="top" rowspan="{$pack.count}" height="20">
    								<table cellspacing="0" cellpadding="0" style="height: 20px;">
										<tr>
											<td>
												{$pack.date|date_format:$config.Appearance.date_format} 
												{$pack.date|date_format:$config.Appearance.time_format}
											</td>
										</tr>
									</table>
								</td>

								{assign var="is_first" value="Y"}

								{foreach from=$pack.files item=f key=fn}
									{if $is_first eq 'Y'}
										{assign var="is_first" value="F"}
									{else}
										<tr{cycle name="ep" values=" , class='TableSubHead'" advance=false}>
									{/if}
										<td valign="top" rowspan="{$f.sections_count|default:1}">
											<a href="get_export.php?file={$fn}">{$f.file_name}</a>
										</td>
								{/foreach}
							</tr>
							{cycle name="ep" values=" , class='TableSubHead'" print=false}
						{/foreach}
					</table>
					<br />
					<input type="button" value="{$lng.lbl_delete_selected|strip_tags:false|escape}" onclick="javascript: if (checkMarks(this.form, new RegExp('packs', 'ig'))) {ldelim} document.getElementById('exportpacks_action').value='delete_pack'; document.exportpacks_form.submit();{rdelim}" />

				</td>
			</tr>
		</table>
	</form>
{/if}

{/capture}
{include file="dialog.tpl" title=$lng.lbl_export_cat_req content=$smarty.capture.dialog extra='width="100%"'}
