DELETE FROM xcart_modules WHERE module_name='Special_Offers';

DROP TABLE if exists xcart_offers, xcart_offers_lng, xcart_offer_product_sets, xcart_offer_product_params, xcart_offer_conditions, xcart_offer_condition_params, xcart_offer_bonuses, xcart_offer_bonus_params, xcart_customer_bonuses, xcart_images_S, xcart_bonus_memberships, xcart_condition_memberships;

DELETE FROM xcart_config WHERE name IN ('offers_bp_rate','offers_bp_min','offers_per_row','offers_list_limit','offers_prod_sort_direction','offers_show_thumb_on_lists');

DELETE FROM xcart_setup_images WHERE itype='S';

DELETE FROM xcart_languages WHERE name='module_descr_Special_Offers';
DELETE FROM xcart_languages WHERE name='module_name_Special_Offers';
DELETE FROM xcart_languages WHERE name='lbl_sp_add_param';
DELETE FROM xcart_languages WHERE name='lbl_sp_apply_bonus_to_product_sets';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_apply_to_list';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_discount';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_discount_amount';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_discount_limit';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_discount_type';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_membership';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_noprice';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_points';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_points_convert2gc';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_points_convert_rate';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_points_min_convert';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_shipping';
DELETE FROM xcart_languages WHERE name='lbl_sp_bpconv_not_enough';
DELETE FROM xcart_languages WHERE name='lbl_sp_bpconv_too_low';
DELETE FROM xcart_languages WHERE name='lbl_sp_cart_offers';
DELETE FROM xcart_languages WHERE name='lbl_sp_category_generic';
DELETE FROM xcart_languages WHERE name='lbl_sp_change_membership';
DELETE FROM xcart_languages WHERE name='lbl_sp_click_for_details';
DELETE FROM xcart_languages WHERE name='lbl_sp_condition_membership';
DELETE FROM xcart_languages WHERE name='lbl_sp_condition_points';
DELETE FROM xcart_languages WHERE name='lbl_sp_condition_set';
DELETE FROM xcart_languages WHERE name='lbl_sp_condition_total';
DELETE FROM xcart_languages WHERE name='lbl_sp_condition_zone';
DELETE FROM xcart_languages WHERE name='lbl_sp_convert_points';
DELETE FROM xcart_languages WHERE name='lbl_sp_create_new_offer';
DELETE FROM xcart_languages WHERE name='lbl_sp_customer_bonuses';
DELETE FROM xcart_languages WHERE name='lbl_sp_customer_bonus_points';
DELETE FROM xcart_languages WHERE name='lbl_sp_earned_bonus_points';
DELETE FROM xcart_languages WHERE name='lbl_sp_earned_bonus_points_explanation';
DELETE FROM xcart_languages WHERE name='lbl_sp_incorrect_membership';
DELETE FROM xcart_languages WHERE name='lbl_sp_learn_more';
DELETE FROM xcart_languages WHERE name='lbl_sp_list_of_offers';
DELETE FROM xcart_languages WHERE name='lbl_sp_max_amount';
DELETE FROM xcart_languages WHERE name='lbl_sp_max_amount_note';
DELETE FROM xcart_languages WHERE name='lbl_sp_membership_changed';
DELETE FROM xcart_languages WHERE name='lbl_sp_min_amount';
DELETE FROM xcart_languages WHERE name='lbl_sp_more_info';
DELETE FROM xcart_languages WHERE name='lbl_sp_my_bonuses';
DELETE FROM xcart_languages WHERE name='lbl_sp_no_bonuses_earned';
DELETE FROM xcart_languages WHERE name='lbl_sp_no_offers_defined';
DELETE FROM xcart_languages WHERE name='lbl_sp_not_defined_yet';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_bonuses_s';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_conditions_s';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_details_s';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_end_date';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_modify_bonus_s';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_modify_condition_s';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_short_name';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_start_date';
DELETE FROM xcart_languages WHERE name='lbl_sp_offers';
DELETE FROM xcart_languages WHERE name='lbl_sp_offers_not_avail';
DELETE FROM xcart_languages WHERE name='lbl_sp_offers_of_shop';
DELETE FROM xcart_languages WHERE name='lbl_sp_or';
DELETE FROM xcart_languages WHERE name='lbl_sp_points_converted2gc';
DELETE FROM xcart_languages WHERE name='lbl_sp_product_generic';
DELETE FROM xcart_languages WHERE name='lbl_sp_products_from_cat_s';
DELETE FROM xcart_languages WHERE name='lbl_sp_promo_long';
DELETE FROM xcart_languages WHERE name='lbl_sp_promo_not_avail';
DELETE FROM xcart_languages WHERE name='lbl_sp_promo_short';
DELETE FROM xcart_languages WHERE name='lbl_sp_quantity';
DELETE FROM xcart_languages WHERE name='lbl_sp_recalculate';
DELETE FROM xcart_languages WHERE name='lbl_sp_show_all_offers';
DELETE FROM xcart_languages WHERE name='lbl_sp_show_offers_for_cart';
DELETE FROM xcart_languages WHERE name='lbl_sp_with_subcategories';
DELETE FROM xcart_languages WHERE name='lbl_sp_zone_billing';
DELETE FROM xcart_languages WHERE name='lbl_sp_zone_shipping';
DELETE FROM xcart_languages WHERE name='lbl_sp_zone_type';
DELETE FROM xcart_languages WHERE name='lbl_special_offers';
DELETE FROM xcart_languages WHERE name='lbl_unnamed_offer_id';
DELETE FROM xcart_languages WHERE name='txt_sp_bpconv_details';
DELETE FROM xcart_languages WHERE name='txt_sp_empty_params_bonus_discount';
DELETE FROM xcart_languages WHERE name='txt_sp_empty_params_bonus_shipping';
DELETE FROM xcart_languages WHERE name='txt_sp_empty_params_membership_edit';
DELETE FROM xcart_languages WHERE name='txt_sp_my_bonuses_desc';
DELETE FROM xcart_languages WHERE name='txt_special_offers_descr';
DELETE FROM xcart_languages WHERE name='txt_sp_delete_offers_text';
DELETE FROM xcart_languages WHERE name='lbl_sp_new_offers_generic';
DELETE FROM xcart_languages WHERE name='lbl_sp_add_free_products';
DELETE FROM xcart_languages WHERE name='lbl_sp_unused_offers';
DELETE FROM xcart_languages WHERE name='msg_sp_no_free_products_to_add';
DELETE FROM xcart_languages WHERE name='lbl_sp_add_free_products_title';
DELETE FROM xcart_languages WHERE name='lbl_sp_special_price';
DELETE FROM xcart_languages WHERE name='lbl_sp_special_price_free';
DELETE FROM xcart_languages WHERE name='lbl_sp_order_bonuses';
DELETE FROM xcart_languages WHERE name='lbl_sp_customer_bonus_memberships';
DELETE FROM xcart_languages WHERE name='lbl_sp_promo_image';
DELETE FROM xcart_languages WHERE name='lbl_sp_promo_text';
DELETE FROM xcart_languages WHERE name='lbl_sp_cart_bonuses_title';
DELETE FROM xcart_languages WHERE name='lbl_sp_cart_bonuses_bp';
DELETE FROM xcart_languages WHERE name='lbl_sp_cart_bonuses_memberships';
DELETE FROM xcart_languages WHERE name='lbl_sp_cart_free_item';
DELETE FROM xcart_languages WHERE name='lbl_sp_cart_special_price_item';
DELETE FROM xcart_languages WHERE name='lbl_sp_cart_free_shipping_item';
DELETE FROM xcart_languages WHERE name='txt_sp_empty_params_generic_edit';
DELETE FROM xcart_languages WHERE name='txt_sp_empty_params_bonus_generic_edit';
DELETE FROM xcart_languages WHERE name='lbl_sp_common_price';
DELETE FROM xcart_languages WHERE name='lbl_sp_and';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_functioning';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_settings';
DELETE FROM xcart_languages WHERE name='lbl_sp_validity_period';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_conditions';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_bonuses';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_status';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_status_name_s';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_status_ok';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_status_fail';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_status_expired';
DELETE FROM xcart_languages WHERE name='txt_sp_promo_blocks_detailed_descr';
DELETE FROM xcart_languages WHERE name='txt_sp_promo_short_note';
DELETE FROM xcart_languages WHERE name='lbl_sp_condition_set_action';
DELETE FROM xcart_languages WHERE name='lbl_sp_action_one';
DELETE FROM xcart_languages WHERE name='lbl_sp_action_copy';
DELETE FROM xcart_languages WHERE name='option_title_Special_Offers';
DELETE FROM xcart_languages WHERE name='lbl_sp_nav_conditions';
DELETE FROM xcart_languages WHERE name='lbl_sp_nav_bonuses';
DELETE FROM xcart_languages WHERE name='lbl_sp_nav_promotexts';
DELETE FROM xcart_languages WHERE name='lbl_sp_nav_offer';
DELETE FROM xcart_languages WHERE name='lbl_sp_order_offers_applied';
DELETE FROM xcart_languages WHERE name='txt_sp_wiz_conditions_title';
DELETE FROM xcart_languages WHERE name='txt_sp_wiz_bonuses_title';
DELETE FROM xcart_languages WHERE name='lbl_sp_back';
DELETE FROM xcart_languages WHERE name='lbl_sp_next';
DELETE FROM xcart_languages WHERE name='txt_sp_warn_incomplete_conditions';
DELETE FROM xcart_languages WHERE name='txt_sp_warn_incomplete_bonuses';
DELETE FROM xcart_languages WHERE name='lbl_sp_no_order_offers_applied';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_status_incorrect_period'; 
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_status_upcoming';
DELETE FROM xcart_languages WHERE name='lbl_image_title_S';
DELETE FROM xcart_languages WHERE name='lbl_sp_offer_promos_s';
DELETE FROM xcart_languages WHERE name='lbl_sp_ttl_bonus_points';
DELETE FROM xcart_languages WHERE name='lbl_sp_display_short_promo';
DELETE FROM xcart_languages WHERE name='lbl_sp_points';
DELETE FROM xcart_languages WHERE name='lbl_sp_points_fixed_amount';
DELETE FROM xcart_languages WHERE name='lbl_sp_points_per_total';
DELETE FROM xcart_languages WHERE name='lbl_sp_points_per_';
DELETE FROM xcart_languages WHERE name='lbl_sp_points_of_subtotal_';
DELETE FROM xcart_languages WHERE name='opt_offers_bp_rate';
DELETE FROM xcart_languages WHERE name='opt_offers_bp_min';
DELETE FROM xcart_languages WHERE name='opt_offers_per_row';
DELETE FROM xcart_languages WHERE name='opt_offers_list_limit';
DELETE FROM xcart_languages WHERE name='lbl_sp_edit_parameters';
DELETE FROM xcart_languages WHERE name='lbl_offers_sp_action_note';
DELETE FROM xcart_languages WHERE name='txt_sp_my_bonuses_desc_wo_gs';
DELETE FROM xcart_languages WHERE name='lbl_sp_offers_applied_to_cart';
DELETE FROM xcart_languages WHERE name='lbl_sp_promo_checkout';
DELETE FROM xcart_languages WHERE name='lbl_sp_reduce_bp_on_complete';
DELETE FROM xcart_languages WHERE name='lbl_sp_available_offers';
DELETE FROM xcart_languages WHERE name='lbl_sp_click_to_add';
DELETE FROM xcart_languages WHERE name='txt_sp_reduce_points_balance_note';
DELETE FROM xcart_languages WHERE name='lbl_sp_current_bp_balance';
DELETE FROM xcart_languages WHERE name='lbl_sp_remaining_bp_balance';
DELETE FROM xcart_languages WHERE name='lbl_sp_apply_offers';
DELETE FROM xcart_languages WHERE name='lbl_sp_withdrawn_bonus_points';
DELETE FROM xcart_languages WHERE name='lbl_sp_discount';
DELETE FROM xcart_languages WHERE name='lbl_sp_allow_apply_discounts';
DELETE FROM xcart_languages WHERE name='lbl_sp_also_review_offers';
DELETE FROM xcart_languages WHERE name='lbl_sp_buy_more';
DELETE FROM xcart_languages WHERE name='lbl_sp_display_promo_for_amount';
DELETE FROM xcart_languages WHERE name='lbl_sp_get_this_offer';
DELETE FROM xcart_languages WHERE name='lbl_sp_promo_items_amount';
DELETE FROM xcart_languages WHERE name='lbl_sp_promote_item';
DELETE FROM xcart_languages WHERE name='lbl_sp_purchase_following_products';
DELETE FROM xcart_languages WHERE name='txt_sp_item_promo_note';
DELETE FROM xcart_languages WHERE name='lbl_sp_ttl_bonus_points_N';
DELETE FROM xcart_languages WHERE name='lbl_sp_click_to_add_small';
DELETE FROM xcart_languages WHERE name='lbl_sp_add_product_set';
DELETE FROM xcart_languages WHERE name='lbl_sp_delete_product_set';
DELETE FROM xcart_languages WHERE name='lbl_sp_save_changes';
DELETE FROM xcart_languages WHERE name='lbl_sp_items';
DELETE FROM xcart_languages WHERE name='lbl_sp_use_prod_sets_from_condition';
DELETE FROM xcart_languages WHERE name='lbl_sp_bonus_not_apply_to_list';
DELETE FROM xcart_languages WHERE name='lbl_sp_apply_offers_discounts';
DELETE FROM xcart_languages WHERE name='txt_sp_excl_product_set_note';
DELETE FROM xcart_languages WHERE name='lbl_sp_apply_discount_to';
DELETE FROM xcart_languages WHERE name='lbl_sp_give_free_shipping_for';
DELETE FROM xcart_languages WHERE name='lbl_sp_apply_bonus_to_shipping_methods';
DELETE FROM xcart_languages WHERE name='lbl_sp_apply_bonus';
DELETE FROM xcart_languages WHERE name='lbl_sp_give_bp_for_each_item';
DELETE FROM xcart_languages WHERE name='lbl_sp_replace_products_bp_amount';
DELETE FROM xcart_languages WHERE name='lbl_sp_this_item';
DELETE FROM xcart_languages WHERE name='lbl_sp_price_for_all';
DELETE FROM xcart_languages WHERE name='lbl_sp_add_all_to_cart';
DELETE FROM xcart_languages WHERE name='opt_offers_prod_sort_direction';
DELETE FROM xcart_languages WHERE name='opt_offers_show_thumb_on_lists';
